QGIS Application - Bug report #17204

Edit widget properties - Range on a Integer64 - slider and dial doesn't work properly

2017-09-26 10:18 PM - Jérémie Prud'homme

Status: Closed
Priority: Low
Assignee:

Category: Edit widget

Affected QGIS version:2.18.13

Operating System: Windows, macOS 10.12.6
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 25103

Description

Hello,

| tried setting a glonglong (integer64) field on a Range type (via Layer properties > Fields > Edit widget properties) and choosing either a

slider or a dial for the type of edit widget.

When | create a new point/line/polygon | got the slider or dial on the "feature attribute" window that opens but moving the slider/dial

doesn't change the value for the field.

It works with other field types (integer, real).

History

#1 - 2017-09-27 09:49 AM - Giovanni Manghi
- Category changed from Editing to Edit widget

#2 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-24 01:49 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
